package com.ai.da.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ProductEnum {
    // 积分购买
    CreditsProduct("AiDA credits purchase", 6L),
    // 年度订阅
    AnnualSubscription("AiDA Annual Subscription", 5000L),
    // 月度订阅
    MonthlySubscription("AiDA Monthly Subscription", 500L),
    // 测试
    DailySubscription("AiDA Daily Subscription", 5L),
    ;

    /**
     * 类型
     */
    private final String name;

    private final Long price;
}
